### Hierarchy

- WeaponComponent
  - InvalidWeaponComponent

## Index

### Constructors

- constructor

### Properties

- componentHash
- owner
- weapon

### Accessors

- Active
- AttachmentPoint
- ComponentHash
- DisplayName
- HudStats
- IsInvalid
- LocalizedName

### Methods

- getAttachmentPoint
- getComponentDisplayNameFromHash

## Constructors

### constructor

- new InvalidWeaponComponent(): InvalidWeaponComponent

- Overrides WeaponComponent.constructor

  - Defined in weaponComponent/InvalidWeaponComponent.ts:8

  #### Returns InvalidWeaponComponent

## Properties

### Protected Readonly componentHash

componentHash: WeaponComponentHash

Inherited from WeaponComponent.componentHash

- Defined in weaponComponent/WeaponComponent.ts:19

### Protected Readonly owner

owner: Ped

Inherited from WeaponComponent.owner

- Defined in weaponComponent/WeaponComponent.ts:17

### Protected Readonly weapon

weapon: Weapon

Inherited from WeaponComponent.weapon

- Defined in weaponComponent/WeaponComponent.ts:18

## Accessors

### Active

- get Active(): boolean
- set Active(value: boolean): void

- - Defined in weaponComponent/InvalidWeaponComponent.ts:13

  #### Returns boolean

- - Defined in weaponComponent/InvalidWeaponComponent.ts:18

  #### Parameters

  - ##### value: boolean

  #### Returns void

### AttachmentPoint

- get AttachmentPoint(): ComponentAttachmentPoint

- - Defined in weaponComponent/WeaponComponent.ts:91

  get component attachment point

  #### Returns ComponentAttachmentPoint

### ComponentHash

- get ComponentHash(): WeaponComponentHash

- - Defined in weaponComponent/WeaponComponent.ts:41

  get component hash

  #### Returns WeaponComponentHash

### DisplayName

- get DisplayName(): string

- - Defined in weaponComponent/InvalidWeaponComponent.ts:20

  #### Returns string

### HudStats

- get HudStats(): WeaponComponentHudStats

- - Defined in weaponComponent/WeaponComponent.ts:100

  get component hud stats

  #### Returns WeaponComponentHudStats

### IsInvalid

- get IsInvalid(): boolean

- - Defined in weaponComponent/WeaponComponent.ts:32

  Check WeaponComponent is invalid or not

  #### Returns boolean

### LocalizedName

- get LocalizedName(): string

- - Defined in weaponComponent/InvalidWeaponComponent.ts:24

  #### Returns string

## Methods

### Static getAttachmentPoint

- getAttachmentPoint(hash: WeaponHash, componentHash: WeaponComponentHash): ComponentAttachmentPoint

- Overrides WeaponComponent.getAttachmentPoint

  - Defined in weaponComponent/InvalidWeaponComponent.ts:28

  #### Parameters

  - ##### hash: WeaponHash

  - ##### componentHash: WeaponComponentHash

  #### Returns ComponentAttachmentPoint

### Static getComponentDisplayNameFromHash

- getComponentDisplayNameFromHash(hash: WeaponHash, componentHash: WeaponComponentHash): string

- Inherited from WeaponComponent.getComponentDisplayNameFromHash

  - Defined in weaponComponent/WeaponComponent.ts:112

  get component display name / label by hash

  #### Parameters

  - ##### hash: WeaponHash

  - ##### componentHash: WeaponComponentHash

  #### Returns string

Generated using TypeDoc